.\" Copyright (c) 1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Revision 1.2  90/12/12  15:52:15  mja
.TH GETPWWHO 3 5/9/80
.CM 2
.SH "NAME"
getpwwho \- get password file entry using liberal name matching.
.SH "SYNOPSIS"
.B
#include <pwd.h>
.sp
.B
struct passwd *getpwwho(name)
.br
.B
char *name;
.sp
.B
struct passwd *getpwambig();
.SH "DESCRIPTION"
.I
Getpwwho
is much like
.IR getpwnam (3),
except that it is much more
liberal about the names that it will match.
.I
Name
may be a full login name
or it may be the unique abbreviation of a persons last name, or it
may be a unique abbreviation of a persons first
and last name.
.sp
The subroutine
.I
getpwambig
may be used to iterate through all the
matches for the name given to the last call to
.IR getpwwho .
If
.I
getpwwho
returns \-1 then name does not uniquely determine
a person, a program can then print out all the names that match
by repeatedly calling
.I
getpwambig
until
.I
getpwambig
returns 0.
.SH "FILES"
/etc/passwd	The password file.
.SH "SEE ALSO"
.IR getpwnam (3),
.SH "EXAMPLE"
.B
getpwwho("harry bovik");
.br
.B
getpwwho("bovik");
.br
.B
getpwwho("H Bovik");
.br
.B
getpwwho("hb");
.RS
All of these match the person "Harry Q. Bovik",
who has "hb" as his login name.
.RE
.SH "DIAGNOSTICS"
.I
Getpwwho
return 0 if the person isn't found, \-1 if the name
is ambiguous.
In the case that the name is ambiguous a program can
iterate through all the possibilities by using
.IR getpwambig .
